%global _hardened_build 1

%define current_version 7.0.15

Summary: Virtuozzo utility to authenticate against a VM guest security db
Name: vmauth
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
ExclusiveArch: x86_64
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: qt4-devel
BuildRequires: qt4
BuildRequires: boost-devel
BuildRequires: openssl-devel
BuildRequires: libguestfs-devel
BuildRequires: libprlcommon-devel

Requires: libguestfs
Requires: libprlcommon
Requires: boost-program-options

%description
Utility to authenticate against a VM guest security db.

%prep
%setup -q

%build
export PATH="$PATH:/usr/lib64/qt4/bin"
%qmake_qt4
make

%install
install -d ${RPM_BUILD_ROOT}/%{_sbindir}/
install -m 755 %{name} ${RPM_BUILD_ROOT}/%{_sbindir}/

%check
cd Tests
%qmake_qt4
make check

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_sbindir}/%{name}

%changelog
* Thu Apr 29 2021 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.15
 - Fix vz8 build

* Tue Jan 28 2020 Dmitry Mishin <dim@virtuozzo.com> 7.0.12
 - Add unit tests run to rpm build

* Fri Jan 24 2020 Sergey Galas' <shrike@virtuozzo.com> 7.0.11
 - bug #PSBM-100992 aka Failed to vm auth to stopped CentOS 8 VM (Sergey Galas
<shrike@virtuozzo.com>)
 - Update Copyright (Igor Sukhih <igor@virtuozzo.com>)

* Mon May 29 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.10-2
- Enable hardened build, see #PSBM-58107

* Fri May 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.10
 - simplify code (Sergey Galas <shrike@virtuozzo.com>)

* Wed Apr 26 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.9

* Wed Apr 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.8
 - Add Win10 support #PSBM-62461 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Mar 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.7
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Tue Mar 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.6
 - bug #PSBM-62160 aka Successfully logged in using empty password for VM
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Jan 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.5
- the first build
